Loading...
Searching...
No Matches
_FinchLogViewer Struct Reference

A GNT Log Viewer. More...

`#include <gntlog.h>`

## Data Fields

GList * | logs
| The list of logs viewed in this viewer.
GntWidget * | window
| The viewer's window.
GntWidget * | tree
| The tree representing said treestore.
GntWidget * | text
| The text to display said logs.
GntWidget * | entry
| The search entry, in which search terms are entered.
GntWidget * | label
PurpleLogReadFlags | flags
| The most recently used log flags.
char * | search
| The string currently being searched for.

## Detailed Description

A GNT Log Viewer.

You can look at logs with it.

Definition at line 38 of file gntlog.h.

## Field Documentation

## entry

GntWidget* _FinchLogViewer::entry

The search entry, in which search terms are entered.

Definition at line 44 of file gntlog.h.

## flags

PurpleLogReadFlags _FinchLogViewer::flags

The most recently used log flags.

Definition at line 47 of file gntlog.h.

## label

GntWidget* _FinchLogViewer::label

Definition at line 46 of file gntlog.h.

## logs

GList* _FinchLogViewer::logs

The list of logs viewed in this viewer.

Definition at line 39 of file gntlog.h.

## search

char* _FinchLogViewer::search

The string currently being searched for.

Definition at line 48 of file gntlog.h.

## text

GntWidget* _FinchLogViewer::text

The text to display said logs.

Definition at line 43 of file gntlog.h.

## tree

GntWidget* _FinchLogViewer::tree

The tree representing said treestore.

Definition at line 42 of file gntlog.h.

## window

GntWidget* _FinchLogViewer::window

The viewer's window.

Definition at line 41 of file gntlog.h.

The documentation for this struct was generated from the following file:

- gntlog.h